# fn() reverseComplement
Reverse-complement a sequence or a StringSet in-place.

Defined in | <seqan/modifier.h>
Signature | `void reverseComplement(sequence); void reverseComplement(stringSet);`

## Parameters

`stringSet` | The StringSet to complement.
`sequence` | The ContainerConcept to complement.

## Detailed Description

StringSet objects are reverse-complemented element-wise, i.e. the order of the sequences stays the same but the sequences in the StringSet themselves are reverse-complemented.

Complementing only works for alphabets where a `FunctorComplement<T>` is implemented. SeqAn comes with such definitions for Dna, Dna5, Rna, Rna5.

## Data Races

Thread safety unknown!

#### Dox Sources

    /*!
     * @fn reverseComplement
     *
     * @headerfile <seqan/modifier.h>
     *
     * @brief Reverse-complement a sequence or a StringSet in-place.
     *
     * @signature void reverseComplement(sequence);
     * @signature void reverseComplement(stringSet);
     *
     * @param[in,out] stringSet The StringSet to complement.
     * @param[in,out] sequence The ContainerConcept to complement.
     *
     * StringSet objects are reverse-complemented element-wise, i.e. the order of
     * the sequences stays the same but the sequences in the StringSet themselves
     * are reverse-complemented.
     *
     * Complementing only works for alphabets where a
     * <tt>FunctorComplement&lt;T&gt;</tt> is implemented. SeqAn comes with such
     * definitions for Dna, Dna5, Rna, Rna5.
     */